jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marcel May <marcel....@consol.de>
Subject Re: Jackrabbit JCA 1.1 from ibiblio - wrong jcr dependency
Date Thu, 23 Nov 2006 09:25:46 GMT
Hi!

There is actually a quite firm policy that once a pom is uploaded to the 
repo it will not get changed again. Having a reproducible build can only 
be assured if the given pom is immutable. Also, I believe the pom once 
downloaded is not getting fetched again (except for SNAPSHOTs). Solution 
would be to publish eg '1.1.01' :-(

A very nasty example is eg the commons-logging-1.1.pom which contains a 
compile dependency for javax.servlet:servlet-api:2.3 (!!!).  Even such 
an accidental slip is not getting fixed for the reasons mentioned above 
(see JIRA issue http://jira.codehaus.org/browse/MEV-392).

Cheers,
Marcel

Darren Hartford wrote:
> Hmm...I thought the pom.xml for the Jackrabbit JCA got fixed, but it
> didn't get updated.
>
> Could someone update the pom.xml to replace from:
>
> <dependency>
> <groupId>jsr170</groupId>
> <artifactId>jcr</artifactId>
> <version>1.0</version>
> </dependency>
>
> To:
> <dependency>
> <groupId>javax.jcr</groupId>
> <artifactId>jcr</artifactId>
> <version>1.0</version>
> </dependency>
>
> Thanks,
> -D
>   


Mime
View raw message